Update a project-level ingress (returns the full project)
PUT
/projects/{id}/ingresses/{ingressId}
const url = 'https://example.com/projects/example/ingresses/example';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"basicAuth":{"enabled":true,"password":"example","username":"example"},"host":"example","routes":[{"path":"example","serviceName":"example","servicePort":1}],"tlsEnabled":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/projects/example/ingresses/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "basicAuth": { "enabled": true, "password": "example", "username": "example" }, "host": "example", "routes": [ { "path": "example", "serviceName": "example", "servicePort": 1 } ], "tlsEnabled": true }'Auth: authenticated (scope: deploy)
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
ingressId
required
string
Request Body
Section titled “Request Body”Media typeapplication/json
object
basicAuth
object
enabled
required
boolean
password
string
username
string
host
required
string
routes
required
Array<object>
object
path
required
string
serviceName
required
string
servicePort
required
integer
tlsEnabled
boolean
Example generated
{ "basicAuth": { "enabled": true, "password": "example", "username": "example" }, "host": "example", "routes": [ { "path": "example", "serviceName": "example", "servicePort": 1 } ], "tlsEnabled": true}Responses
Section titled “Responses”OK
Media typeapplication/json
object
key
additional properties
Example generated
{ "additionalProperty": "example"}